<div class="container">
  <div class="calendar-container">
    <div class="calendar-header">
      <p class="calendar-month">{{ months[selMonth]}}{{ selYear}}</p>
      <div class="calendar-controls">
        <button (click)="nextMonth()">Next</button>
        <button (click)="previousMonth()">Previous</button>
        <button (click)="selectToday()">Today</button>
      </div>
    </div>
    <div class="calendar-week-day">
      <div *ngFor="let weekday of weekDays">{{weekday}}</div>
    </div>
    <div class="calendar-grid">
      <div *ngFor="let day of currMonthEntries" class="calendar-day">
        <p>{{day.dayNumber}}</p>
        <div class="calendar-entries">
          <div *ngFor="let entry of day.entries">
            {{entry.name}} {{entry.start_time | date: "HHmm" : "UTC"}}z - {{entry.end_time | date: "HHmm" : "UTC"}}z
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
